be.fgov.ehealth.commons.enc.v2

## Class EncryptedDataType

- java.lang.Object
- - be.fgov.ehealth.commons.enc.v2.EncryptedDataType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:47:13+02:00",
                 comments="JAXB RI v2.3.7")
      public class EncryptedDataType
      extends Object
      implements Serializable

  Contains encrypted data type to send an encrypted message

  Java class for EncryptedDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EncryptedDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:commons:enc:v2}CipherData"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="ContentType" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptedDataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CipherData` | `getCipherData()` Gets the value of the cipherData property.
    `String` | `getContentType()` Gets the value of the contentType property.
    `String` | `getId()` Gets the value of the id property.
    `String` | `getMimeType()` Gets the value of the mimeType property.
    `void` | `setCipherData(CipherData value)` Sets the value of the cipherData property.
    `void` | `setContentType(String value)` Sets the value of the contentType property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setMimeType(String value)` Sets the value of the mimeType property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncryptedDataType

          public EncryptedDataType()

  - ### Method Detail

    - #### getCipherData

          public CipherData getCipherData()

      Gets the value of the cipherData property.
      Returns:
        possible object is `CipherData`

    - #### setCipherData

          public void setCipherData(CipherData value)

      Sets the value of the cipherData property.
      Parameters:
        `value` - allowed object is `CipherData`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMimeType

          public String getMimeType()

      Gets the value of the mimeType property.
      Returns:
        possible object is `String`

    - #### setMimeType

          public void setMimeType(String value)

      Sets the value of the mimeType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContentType

          public String getContentType()

      Gets the value of the contentType property.
      Returns:
        possible object is `String`

    - #### setContentType

          public void setContentType(String value)

      Sets the value of the contentType property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.